<template>
  <td @contextmenu.prevent="rightClick($event)">
    {{ props.data?.testResult }}
  </td>
  <td @contextmenu.prevent="rightClick($event)">
    {{ props.data?.formatTestTime }}
    <div style="border-top: 1px solid #000;width: 100%;margin-bottom: 3px"/>
    {{ props.data?.nurseIdName }}
  </td>
</template>

<script setup name='BloodSugarTable'>
const props = defineProps({
  data: {
    type: Object
  }
})

const emit = defineEmits(['rightClick'])

const rightClick = (event) => {
  if (props.data) {
    emit('rightClick', props.data, event)
  }
}


</script>

<style scoped>
td {
  border: 1px solid #000;
  text-align: center;
  padding: 10px 0;
}
</style>
